    #include<bits/stdc++.h>
    using namespace std;
    long long  mod = 998244353;

    int  main() {
        int n, m , k;
        cin >> n >> m >> k;

        if(k == 1){
            long long ans = m;
            for(int i = 0; i < n - 1; i++){
                ans *= m;
                ans %= mod;
            }
            cout << ans << "\n";
        }else if(k == 2){
            long long ans = m;
            for(int i = 0; i < n - 1; i++){
                ans *= m;
                ans %= mod;
            }
            //cout << ans << "\n";
            ans -= m*(m - 1);
            ans += mod;
            cout << ans%mod << "\n";

        }




        return 0;
    }
